FANDOM


Metro Last Light
System Requirements

[Visual Settings]

Minimum

OS:

  • PC: Windows XP (32-Bit only), Vista, 7, or 8
  • Linux: any version running Steam
  • Mac: 10.8.4 (Mountain Lion)

Processor:

  • PC: Dual Core CPU (2.2+ GHz Dual Core CPU or better)
  • Mac: 2.7 Ghz Intel Core i5

Memory:

  • PC: 2GB
  • Mac: 8 GB RAM

(Mac) Hard Disk Space:

  • 10 GB available

Video Card:

  • PC: DirectX 9, Shader Model 3 compliant graphics cards (GeForce 8800 GT 512 MB, GeForce GTS 250, etc)
  • Linux: OpenGL 3.2 or better (GeForce 8800 GT 512 MB, GeForce GTS 250, etc)
  • Mac: NVIDIA GeForce GT 640M 512 MB

(PC) DirectX®:

  • 9.0c

Additional:

  • Metro: Last Light utilizes NVIDIA 3D Vision with compatible cards and hardware.
Recommended

OS:

  • PC: Windows 7 or 8
  • Linux: Ubuntu 14.04 or better, Fedora 20 or better, or similar.
  • Mac: 10.8.4 (Mountain Lion)

Processor:

  • PC: Any Quad Core or 3.0+ GHz Dual Core CPU
  • Mac: 3.2 GHz quad core Intel Core i5

Memory:

  • PC: 2GB
  • Mac: 16 GB RAM

Video Card:

  • PC: DirectX 11 compliant graphics card (GeForce GTX 480 and above)
  • Linux: OpenGL 3.3 (GeForce GTX 480 and above)
  • Mac: NVidia Geforce GTX 680MX with 1GB

(PC) DirectX®:

  • 11

(Mac) Hard drive:

  • 10 GB available space

(PC) Additional:

  • Metro: Last Light utilizes NVIDIA 3D Vision with compatible cards and hardware.

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.